1

I have recently tried installing the Deepin Desktop Environment (DDE) in the newly-released Ubuntu 19.04... and failed. I used the command sudo add-apt-repository ppa:leaeasy/dde and got these errors:

Err:13 http://ppa.launchpad.net/elementary-os/stable/ubuntu disco Release      
  404  Not Found [IP: 91.189.95.83 80]
Err:14 http://ppa.launchpad.net/leaeasy/dde/ubuntu disco Release
  404  Not Found [IP: 91.189.95.83 80]
Get:15 http://gb.archive.ubuntu.com/ubuntu disco-updates/main amd64 DEP-11 Metadata [72.2 kB]
Err:16 http://ppa.launchpad.net/noobslab/icons/ubuntu disco Release
  404  Not Found [IP: 91.189.95.83 80]
Err:17 http://ppa.launchpad.net/ravefinity-project/ppa/ubuntu disco Release    
  404  Not Found [IP: 91.189.95.83 80]
Get:18 http://gb.archive.ubuntu.com/ubuntu disco-updates/main DEP-11 48x48 Icons [4,448 B]
Get:19 http://gb.archive.ubuntu.com/ubuntu disco-updates/main DEP-11 64x64 Icons [5,852 B]
Get:20 http://gb.archive.ubuntu.com/ubuntu disco-updates/universe amd64 DEP-11 Metadata [8,744 B]
Get:21 http://gb.archive.ubuntu.com/ubuntu disco-updates/universe DEP-11 48x48 Icons [6,157 B]
Get:22 http://gb.archive.ubuntu.com/ubuntu disco-backports/universe amd64 DEP-11 Metadata [7,164 B]
Reading package lists... Done                
E: The repository 'http://ppa.launchpad.net/elementary-os/stable/ubuntu disco Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ppa.launchpad.net/leaeasy/dde/ubuntu disco Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ppa.launchpad.net/noobslab/icons/ubuntu disco Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ppa.launchpad.net/ravefinity-project/ppa/ubuntu disco Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

I searched them up and i can not find any information on the internet for these errors and I'm relatively new to linux. Any help would be appreciated thank you.

  • 4
    The leaeasy/dde PPA doesn’t contain packages for Ubuntu 19.04 (yet?), but just for 17.10 and 18.04. You could build all the components yourself, but that’s a cumbersome thing to do. Maybe ask the PPA owner nicely for 19.04 packages? – dessert May 11 at 20:37
0

Go to Software and Updates, go to the "Other Software" tab and remove the repository that you just added. Then exit it and you should be able to to run "apt update" without errors.

It sucks how there's no way to install Deepin on 19.04 without some serious manual effort. Hopefully the PPA owner fixes this.

New contributor
EclipseMain is a new contributor to this site. Take care in asking for clarification, commenting, and answering. Check out our Code of Conduct.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.